[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: SCSI hard drive failure



On Mon, 26 Feb 2001, Greg Gatlin wrote:

> I completed the upgrade install of wolverine (from 7.0).
> When I go to reboot, it fails and says that it can't load the
> scsi_hostadapter driver.
> I went into linux rescue and ran the modprobe command that was failing:
>      /sbin/modprobe -s -k scsi_hostadapter
>
>  and got this result:
>      Cannot open dependicies file /lib/modules2.4.1-0.1.0BOOT/modules.dep
                                                           ^^^^
This means it's looking for the modules for the boot-floppy version of the
kernel. check the man page for depmod, and

depmod -ae 2.4.1-0.1.0

is the command you want. It forces depmod to look at the 2.4.1-0.1.0
kernel's dependencies.

>  Looks like there needs to be a space in there somewhere to make it work.
>   /lib/modules2.4.1-0.1.0 exists.
>
>  Is this something I can tweak with and fix - or is it a bug candidate.
>   THANKS, Greg.

Chris Kloiber





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]